#
# spec file for package python-aiohttp-jinja2
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-aiohttp-jinja2
Version:        1.5.1
Release:        2.1
Summary:        Jinja2 template renderer for aiohttp.web
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/aio-libs/aiohttp-jinja2
Source:         https://github.com/aio-libs/aiohttp-jinja2/archive/v%{version}.tar.gz#/aiohttp-jinja2-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  (python3-typing_extensions if python3-base <= 3.6)
Requires:       python-Jinja2 >= 3.0
Requires:       python-aiohttp
%if 0%{?python_version_nodots} <= 36
Requires:       python3-typing_extensions
%endif
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Jinja2 >= 3.0}
BuildRequires:  %{python_module aiohttp}
BuildRequires:  %{python_module pytest-aiohttp}
# /SECTION
%python_subpackages

%description
Jinja2 template renderer for aiohttp.web.

%prep
%autosetup -p1 -n aiohttp-jinja2-%{version}

# for unwanted pytest extra configuration
rm setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/aiohttp_jinja2
%{python_sitelib}/aiohttp_jinja2-%{version}*-info

%changelog
* Tue Jul  4 2023 ecsos <ecsos@opensuse.org>
- Add %%{?sle15_python_module_pythons}
* Fri Feb 10 2023 Dirk Müller <dmueller@suse.com>
- update to 1.5.1:
  * Add support for Python 3.11.
  * Drop support for decorating non-async functions with
    @template (deprecated since 0.16).
* Thu May  5 2022 Markéta Machová <mmachova@suse.com>
- Update to 1.5
  * Drop support for jinaj2 <3. Add support for 3+.
  * Don't require typing_extensions on Python 3.8+.
- Drop merged stdlib-typing_extensions.patch
* Mon May 31 2021 Matej Cepl <mcepl@suse.com>
- Add stdlib-typing_extensions.patch to avoid necessity for BR
  python-typing_extensions (gh#aio-libs/aiohttp-jinja2#451).
* Mon Apr 12 2021 Ben Greiner <code@bnavigator.de>
- Fix requirements
* Tue Feb 23 2021 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v1.4.2
* Tue Jan 14 2020 Adrian Schröter <adrian.schroeter@suse.com>
- Initial spec for v0.15.0
